Subject: Re: bug#18112: 24.4.50; emacs --daemon infinite loop in find_interval

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Jul 2014 10:55:11 +0300

> Date: Sat, 26 Jul 2014 09:42:25 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> Please use the procedure in etc/DEBUG to find out where it loops.  The
> procedure calls for using the "finish" command until some frame
> doesn't return, then stepping with "next" through that frame to see
> where and why it loops.

The loop is in redisplay, and the reason seems to be that get_tty_size
returns incorrect size after the second tmux pane is closed with ^D.
We get one line more than tmux leaves us (after usurping 1 line for
its status line).

I don't know enough about TIOCGWINSZ ioctl to tell how to fix this,
sorry.  Perhaps some termio expert could chime in.